#!/usr/bin/env python

from plaintexts import plaintexts
import subprocess
import random

def text(n):
    "Generate n bytes of ASCIIish text."
    return subprocess.Popen(["openssl", "rand", "-base64", "%s" % (n * 6 / 8)],
        stdout=subprocess.PIPE).communicate()[0]

def xor(s1, s2):
    "Return s1 XOR s2. Truncates the longer input."
    return ''.join(chr(ord(a) ^ ord(b)) for (a, b) in zip(s1, s2))

def main():
    l = max(len(i) for i in plaintexts)
    pads = [text(l) for i in xrange(len(plaintexts)/2)]

    enc = [xor(i, pads[random.randrange(len(pads))]) for i in plaintexts]
    for i in xrange(len(enc)):
        open("out%d.dat" % i, "w").write(enc[i])

if __name__ == "__main__":
    main()
